<?
$db_server='(local)\SQLEXPRESS';
$db_user='sa';
$db_pass='ats475';
$db_table='master';

echo "<p align='center'><img src='images/vista-backup-icon.jpg'></p><br>";
echo "<ul>";

	$conn = mssql_connect ($db_server, $db_user, $db_pass) or die ('No puedo conectar de la base de datos'); 	
	
	mssql_select_db($db_table); 
	$archivox="prefrio_".date("dmYHi");
	$archivo=$archivox.".bak";
	echo "<li>Intentando Respaldar base de datos en el disco duro c:\\temp\\$archivo </li>";

	
	@unlink("c:\\temp\\$archivo");
	
$sql="backup database prefrio to disk = 'c:\\temp\\$archivo' WITH NOFORMAT, NOINIT,NAME = 'Respaldo desde el sistema PF', SKIP, NOREWIND, NOUNLOAD,  STATS = 10 ";
ejecutarsql($sql);


// BACKUP DATABASE [prefrio] TO  DISK = N'c:\temp\respaldobb.bak' WITH NOFORMAT, NOINIT, 
// NAME = N'prefrio-Completa Base de datos Copia de seguridad', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
//GO

$zip = new ZipArchive();
$zipr=$zip->open("c:\\temp\\".$archivox.".zip",ZIPARCHIVE::CREATE);
if ($zipr === TRUE) {
    $zipr2=$zip->addFile("c:\\temp\\".$archivo, $archivo);
	
    $zip->close();
	if ($zipr2) {
		echo "<li> Ademas se creo un archivo  c:\\temp\\$archivox.zip </li>";
	} else {
		echo "<li> (Opcional) no se pudo crear archivo zip</li>";
	}
    
} else {
    echo "fallo en creacion de zip ".$zipr;
}

echo "<li>Respaldo realizado</li>";

echo "<li><a href='http://localhost/pf/inicio.php'>Y Finalmente presione aqui.</a></li>";
echo "</ul>";
	
function ejecutarsql($sql) {
	global $conn;
	$resultado = mssql_query($sql,$conn) or die("No puede ejecutar query :$sql <br>");
}


mssql_close($conn);	
?>